Bug 115910 - apachectl doesn't respect $OPTIONS from /etc/sysconfig/httpd
apachectl doesn't respect $OPTIONS from /etc/sysconfig/httpd
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 18:21 EST by John Kerbawy
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 08:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Kerbawy 2004-02-16 18:21:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
apachectl doesn't appear to respect any extra $OPTIONS that may be set
for Apache in /etc/sysconfig/httpd. Both /etc/rc.d/init.d/httpd and
/usr/sbin/apachectl source /etc/sysconfig/httpd when executed, but
init.d/httpd clearly uses $OPTIONS and /usr/sbin/apachectl mentions
$HTTPD.

Version-Release number of selected component (if applicable):
httpd-2.0.46-26.ent

How reproducible:
Always

Steps to Reproduce:
1. Create /etc/sysconfig/httpd with the text OPTIONS="-DFOO"
2. Start Apache using service httpd start
3. Note that Apache is started with -DFOO
4. Stop Apache and restart with apachectl.
5. Note that Apache is not started with -DFOO

Additional info:

To fix, esentially just add $OPTIONS after most instances of $HTTPD in
apachectl. The diff against httpd-2.0.40-apctl.patch is really ugly.
Comment 1 Joe Orton 2004-02-17 16:58:38 EST
Thanks for the report.
Comment 2 Joe Orton 2005-09-21 08:05:24 EDT
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.